Skip to content

Transfer signups from one variant to another

API v1 is the older API. It still works, but new integrations should use API v2. Migrating from v1 to v2

POST/external/intents/transfer_signups

Costs 2 rate-limit points · Rate limits

Transfer intents (signups) from a source variant to a target variant. This is useful when consolidating variants or when products are restructured. By default transfers pending intents, but can transfer sent or all intents based on intent_type parameter.

Request body

  • from_shopify_variant_idintegerRequired

    Shopify variant ID to transfer signups from

  • from_shopify_product_idintegerRequired

    Shopify product ID of the source variant

  • to_shopify_variant_idintegerRequired

    Shopify variant ID to transfer signups to

  • to_shopify_product_idintegerRequired

    Shopify product ID of the target variant

  • intent_typestring

    Type of intents to transfer (default is unsent/pending)

    One of unsentsentall

Errors

400

Bad request - invalid parameters

401

Unauthorized

422

Transfer failed

POST/external/intents/transfer_signups
curl -X POST "https://app.stoqapp.com/api/v1/external/intents/transfer_signups" \
  -H "X-Auth-Token: $STOQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "from_shopify_variant_id": 43900910010503,
    "from_shopify_product_id": 7891234567890,
    "to_shopify_variant_id": 43900910010999,
    "to_shopify_product_id": 7891234567890,
    "intent_type": "unsent"
  }'
Response
No body